use crate::errors::RunError;

pub fn bnand(memory: &mut Vec<u16>) {
    let a: bool = memory.pop().expect(&format!("{}", RunError::MemoryEmpty)) == 1;
    let b: bool = memory.pop().expect(&format!("{}", RunError::MemoryEmpty)) == 1;

    let c: u16 = if !(a & b) {
        1
    } else {
        0
    };

    memory.push(c);
}